Index: snovis/head/run/snova.par
===================================================================
--- snovis/head/run/snova.par	(revision 6)
+++ snovis/head/run/snova.par	(revision 96)
@@ -1,5 +1,5 @@
-#/////////////////////////////////////////////////////////
-#/////  File containing nemo implementation options  /////
-#/////////////////////////////////////////////////////////
+#//////////////////////////////////////////////////////////
+#/////  File containing snova implementation options  /////
+#//////////////////////////////////////////////////////////
 
 
@@ -20,4 +20,5 @@
 GLOBAL dst_fname S data/dst_test_random_Nd150_Bon.txt
 
+######### VERTEX GENERATOR SECTION ########
 
 #/////////////////////////////////
@@ -25,46 +26,98 @@
 #/////////////////////////////////
 
-# Type of vertex generator 
-# Options: "source_simple_bulk"
-#          "source_simple_surf"
-#          "input_file_name"
+# Type of vertex generator: identified by unique 'name' registred 
+# in the Vertex Generator Factory:
+# Options: "source_simple"
+#          "CALO_basic"
+#          "from_file"
 #          "spot"
-VERTEX gen_vertex S source_simple_bulk
+VERTEX VG.type S source_simple
 
-# Save vertex in a file for next runs:
-VERTEX gen_vertex_save I 0
+# the label of the vertex generator:
+VERTEX VG.label S source_simple_bluk
 
-# Vertex output file for [gen_vertex != "input_file_name"]
-VERTEX gen_vertex_save_filename S vertex.out
+# definition of a list of properties to configure the vertex generator:
+# here this is vertex randomized from the bulk volume of the source foil:
+VERTEX VG.configuration.source_simple_bluk SV 3
+locate=bulk
+save-file=Yes
+save-filename=source_simple_bluk.vtx
 
-# Vertex input file for [gen_vertex == "input_file_name"]
-VERTEX gen_vertex_filename S vertex.in
+# here this is vertex randomized from the front surface of the source foil:
+VERTEX VG.configuration.source_simple_sf SV 4
+locate=surf
+side=front
+save-file=Yes
+save-filename=source_simple_sf.vtx
 
-# Spot vertex coordinates (cm) for [gen_vertex == "spot"]
-VERTEX gen_vertex_spot V 3
-0.
-0.
-0.
+# here this is vertex randomized from the back surface of the source foil:
+VERTEX VG.configuration.source_simple_sb SV 4
+locate=surf
+side=back
+save-file=Yes
+save-filename=source_simple_sb.vtx
 
-######### PARTICLES GENERATOR SECTION ########
+# here this is vertex randomized from the both front/back surfaces of the source foil:
+VERTEX VG.configuration.source_simple_sa SV 4
+locate=surf
+side=all
+save-file=Yes
+save-filename=source_simple_sa.vtx
 
-# Generator data source ("random" or "input_file_name")
-# Options: "random"
-#          "input_file_name"
+# here this is vertex randomized from CALO blocks on wrapper front surfaces
+# from all walls
+VERTEX VG.configuration.CALO_basic_wsaf SV 5
+locate=wrapper_surf
+wall=all
+side=front
+save-file=Yes
+save-filename=CALO_basic_wsaf.vtx
 
-#GLOBAL gen_source S gen_data/test_2nubb_Nd150.txt
-GLOBAL gen_source S random
+# here this is vertex randomized from CALO blocks on wrapper back surfaces
+# from all walls
+VERTEX VG.configuration.CALO_basic_wsab SV 5
+locate=wrapper_surf
+wall=all
+side=back
+save-file=Yes
+save-filename=CALO_basic_wsab.vtx
 
-# In case of Generator data source == "random", Ekin (MeV) minimum limit
-GLOBAL gen_min_E D 0.05
+# here this is vertex randomized from CALO blocks in wrapper volume (bulk)
+# from all walls
+VERTEX VG.configuration.CALO_basic_wbaa SV 5
+locate=wrapper_bulk
+wall=all
+side=all
+save-file=Yes
+save-filename=CALO_basic_wbaa.vtx
 
-# In case of Generator data source == "random", Ekin (MeV) maximum limit
-GLOBAL gen_max_E D 3.55
+######### PRIMARY PARTICLES GENERATOR SECTION ########
+
+# this is for randomize direction of the primary event: 
+EVGEN EG.randomize_dir I 1
+
+# (E)vent (G)enerator type:
+# Options (hardcoded generators):
+# "from_genbb_file" : uses an input file from GENBB-like program
+# "single_particle" : shoot single particle in energy range
+EVGEN EG.type S from_genbb_file
+#EVGEN EG.type S single_particle
+
+# this is the input file used by the 'from_genbb_file' EG:
+EVGEN EG.from_genbb_file.source S gen_data/example_Mo100.txt
+
+# this is the input parameters for used by the 'single_particle' EG:
+EVGEN EG.single_particle.name S electron
+
+# minimal kinetic energy in keV:
+EVGEN EG.single_particle.min_energy D 500.
+
+# maximal kinetic energy in keV:
+EVGEN EG.single_particle.max_energy D 3000.
+
+######### SIM. NUMBER OF EVENTS ########
 
 # Number of events
 GLOBAL num_events I 10
-
-# Initial particles name
-GLOBAL part_name S e-
 
 
@@ -74,8 +127,12 @@
 GLOBAL geom_file S snemo.geom
 
+
+######### MISC SECTION ########
+
 # In case of visual run, display a complete view (1) or just the shape (0)
 GLOBAL DISPLAY_ALL I 0
 
 
+######### PHYSICS SECTION ########
 
 #///////////////////////////////////
